<?php
/**
 * Created by PhpStorm.
 * User: Joseg
 * Date: 10/7/2018
 * Time: 2:37 AM
 */

include '../comun/validarSesion.php';

if (isset($_REQUEST['token'])) {
    $Valido = new validator();
    if ($Valido->checkToken($_REQUEST['token'])){
        if (isset($_REQUEST['id_queja']) && isset($_REQUEST['contenido'])) {
            $creadoPor = $Valido->retornarIdToken($_REQUEST['token']);
            $condominio = $Valido->retornarDatos($creadoPor);
            $condominioData = $condominio["condominio_id"];
            $comentarioqueja = R::dispense('comentarioqueja');
            $comentarioqueja->id_queja = $_REQUEST['id_queja'];
            $comentarioqueja->id_autor = $creadoPor;
            $comentarioqueja->contenido = $_REQUEST['contenido'];
            $comentarioqueja->fechaRegistro = date('Y-m-d H:i:s');
            $comentarioqueja->fechaModificacion = date('Y-m-d H:i:s');
            $comentarioqueja->estado = 1;
            $id = R::store($comentarioqueja);
            include '../comun/mensajeCreado.php';

        }else{
            include '../comun/mensajeFaltanCampos.php';
        }
    }else{
        include '../comun/mensajeDatosInvalidos.php';
    }
}else{
    include '../comun/mensajeSesionInvalida.php';
}